> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Beneficiary

> Use this API to remove an existing beneficiary from a list of added beneficiaries.

<Warning> This API will be retired soon. Please plan to migrate to the latest version, [Beneficiary V2](/api-reference/payouts/v2/beneficiary-v2/get-beneficiary-v2). </Warning>

Please use this Authorization token in headers to call any payout API (Refresh this page if the token is expired)

<iframe src="https://www.cashfree.com/devstudio/preview/payouts/embed/bearerToken" width="600" />

<Accordion title="Click to view the response codes.">
  | Sub code | Status  | Message                                  | Next action                                                                                             |
  | :------- | :------ | :--------------------------------------- | :------------------------------------------------------------------------------------------------------ |
  | 200      | SUCCESS | Beneficiary removed                      | -                                                                                                       |
  | 403      | ERROR   | Token is not valid                       | Validate the generated token.                                                                           |
  | 403      | ERROR   | IP not whitelisted                       | Whitelist the IP address.                                                                               |
  | 404      | ERROR   | Beneficiary does not exist with given Id | Enter a valid beneficiary ID.                                                                           |
  | 412      | ERROR   | Token missing in the request             | Enter the generated token as the value for Authorization under Headers in this format: `Bearer <token>` |
  | 412      | ERROR   | BeneId missing in the request            | Enter a valid beneficiary ID.                                                                           |
  | 422      | ERROR   | Please provide a valid Beneficiary Id    | Enter a valid beneficiary ID.                                                                           |
  | 520      | ERROR   | Unknown error occurred                   | Try again after some time.                                                                              |
</Accordion>


## OpenAPI

````yaml post /payout/v1/removeBeneficiary
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/removeBeneficiary:
    post:
      summary: Remove Beneficiary
      description: >-
        Use this API to remove an existing beneficiary from a list of added
        beneficiaries.
      operationId: remove-beneficiary1
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_removeBeneficiary_body'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_4'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                Result:
                  value: {}
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
      deprecated: false
      security: []
components:
  schemas:
    v1_removeBeneficiary_body:
      required:
        - beneId
      type: object
      properties:
        beneId:
          type: string
          description: >-
            Beneficiaries Id to delete, alphanumeric and underscore allowed (50
            character limit)
    inline_response_200_4:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: Beneficiary removed
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)

````